org.apache.ignite.ml.tree

## Class DecisionTreeLeafNode

- java.lang.Object
- - org.apache.ignite.ml.tree.DecisionTreeLeafNode

- All Implemented Interfaces:
    Serializable, AutoCloseable, IgniteModel<Vector,Double>, Model<Vector,Double>, DecisionTreeNode

      public final class DecisionTreeLeafNode
      extends Object
      implements DecisionTreeNode

  Decision tree leaf node which contains value.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisionTreeLeafNode(double val)` Constructs a new decision tree leaf node.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getVal()`
    `Double` | `predict(Vector doubles)` Make a prediction for the specified input arguments.
    `String` | `toString()`
    `String` | `toString(boolean pretty)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.IgniteModel

      `andBefore, andThen, andThen, close, combine`

- - ### Constructor Detail

    - #### DecisionTreeLeafNode

          public DecisionTreeLeafNode(double val)

      Constructs a new decision tree leaf node.
      Parameters:
        `val` - Value of the node.

  - ### Method Detail

    - #### predict

          public Double predict(Vector doubles)

      Make a prediction for the specified input arguments.
      Specified by:
        `predict` in interface `Model<Vector,Double>`
      Parameters:
        `doubles` - Input arguments.
      Returns:
        Prediction result.

    - #### getVal

          public double getVal()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public String toString(boolean pretty)

      Specified by:
        `toString` in interface `IgniteModel<Vector,Double>`
      Parameters:
        `pretty` - Use pretty mode.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020